Orgs Records
Set a single record field value
Upsert one field value on a record. The path accepts an encoded field id or the field key.
PATCH
/
orgs
/
{org_id}
/
records
/
{record_id}
/
fields
/
{field_id_or_key}
Set a single record field value
curl --request PATCH \
--url https://api.useinvent.com/orgs/{org_id}/records/{record_id}/fields/{field_id_or_key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<unknown>"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/records/{record_id}/fields/{field_id_or_key}"
payload = { "value": "<unknown>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<unknown>'})
};
fetch('https://api.useinvent.com/orgs/{org_id}/records/{record_id}/fields/{field_id_or_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"table_id": "<string>",
"icon": "<string>",
"archived": true,
"position": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"values": [
{
"id": "<string>",
"key": "<string>",
"type": "string",
"value": "<string>"
}
]
}Authorizations
Bearer token authentication using your API key
Path Parameters
Org ID
Record ID
Encoded field ID or field key
Body
application/jsonmultipart/form-data
Response
200 - application/json
The picked icon. Null falls back to the table icon.
Whether the record is archived.
The position of the record in the view.
Last modification time. Total-orders concurrent updates so caches can keep the newest copy.
The values of the record.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Set a single record field value
